;InnoSetupVersion=4.0.9

[Setup]
AppName=SuperRam
AppVerName=SuperRam
AppId=SuperRam
AppVersion=4.11.17.2003
AppPublisher=PGWARE
AppPublisherURL=http://www.pgware.com
AppSupportURL=http://www.pgware.com
AppUpdatesURL=http://www.pgware.com
AppMutex=SuperRamMutex
DefaultDirName={pf}\SuperRam
DefaultGroupName=SuperRam
UninstallDisplayIcon={app}\SuperRam.exe
UninstallDisplayName=SuperRam
OutputBaseFilename=superram
Compression=zip
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\SuperRam.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\SuperRam.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\SuperRam.ini"; DestDir: "{app}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\ReadMe.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ReadMe.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\License.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\License.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\History.txt"; DestDir: "{app}"; Flags: ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "SuperRam"; ValueType: String; ValueData: "{app}\SuperRam.exe"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows NT\CurrentVersion\Run"; ValueName: "SuperRam"; ValueType: String; ValueData: "{app}\SuperRam.exe"; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\SuperRam.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.pgware.com"; 
FileName: "{app}\Support.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.pgware.com/support.html"; 

[Run]
Filename: "{app}\SuperRam.exe"; Parameters: "/notify"; Description: "Launch SuperRam"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\SuperRam Application"; Filename: "{app}\SuperRam.exe"; Comment: "SuperRam Application"; 
Name: "{group}\SuperRam Help"; Filename: "{app}\SuperRam.chm"; Comment: "SuperRam Help"; 
Name: "{group}\SuperRam Homepage"; Filename: "{app}\SuperRam.url"; Comment: "SuperRam Homepage"; 
Name: "{group}\SuperRam Support"; Filename: "{app}\Support.url"; Comment: "SuperRam Support"; 
Name: "{userdesktop}\SuperRam"; Filename: "{app}\SuperRam.exe"; Comment: "SuperRam"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\SuperRam"; Filename: "{app}\SuperRam.exe"; Comment: "SuperRam"; Tasks: quicklaunchicon; 
Name: "{group}\Uninstall SuperRam"; Filename: "{uninstallexe}"; Comment: "Uninstall SuperRam"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\SuperRam.url"; 
Type: files; Name: "{app}\Support.url"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
